`timescale 1ns / 1ps
//////////////////////////////////////////////////////////////////////////////////
// Company: 
// Engineer: 
// 
// Create Date: 2022/04/13 21:11:39
// Design Name: 
// Module Name: id
// Project Name: 
// Target Devices: 
// Tool Versions: 
// Description: 
// 
// Dependencies: 
// 
// Revision:
// Revision 0.01 - File Created
// Additional Comments:
// 
//////////////////////////////////////////////////////////////////////////////////


module id(
        input   wire    [31:0]  instr,
        output  wire    [6:0]   funct7,
        output  wire    [6:0]   op,
        output  wire    [2:0]   funct3,
        output  wire    [4:0]   rs2,
        output  wire    [4:0]   rs1,
        output  wire    [4:0]   rd,
        output  wire    [31:0]  imm
    );
    
    assign funct7 = instr[31:25];
    assign op = instr[6:0];
    assign funct3 = instr[14:12];
    assign rs2 = instr[24:20];
    assign rs1 = instr[19:15];
    assign rd = instr[11:7];
    assign imm = instr[31:0];
    
endmodule
