`timescale 1ns / 1ps
//////////////////////////////////////////////////////////////////////////////////
// Company: 
// Engineer: 
// 
// Create Date: 2022/04/09 22:15:06
// Design Name: 
// Module Name: mux, mux3
// Project Name: 
// Target Devices: 
// Tool Versions: 
// Description: 
// 
// Dependencies: 
// 
// Revision:
// Revision 0.01 - File Created
// Additional Comments:
// 
//////////////////////////////////////////////////////////////////////////////////


module mux(
        input       [31:0]  muxinput0,
        input       [31:0]  muxinput1,
        input               muxop,
        output  reg [31:0]  muxoutput
    );
    
    always @(*) begin
        case(muxop)
            1'b0: muxoutput = muxinput0;
            1'b1: muxoutput = muxinput1;
        endcase
    end
endmodule

module mux3(
        input       [31:0]  muxinput0,
        input       [31:0]  muxinput1,
        input       [31:0]  muxinput2,
        input       [1:0]   muxop,
        output  reg [31:0]  muxoutput
    );
    
    always @(*) begin
        case(muxop)
            2'b00: muxoutput = muxinput0;
            2'b01: muxoutput = muxinput1;
            2'b10: muxoutput = muxinput2;
        endcase
    end
endmodule