`timescale 1ns / 1ps
//////////////////////////////////////////////////////////////////////////////////
// Company: 
// Engineer: 
// 
// Create Date: 2022/04/09 22:15:06
// Design Name: 
// Module Name: dataMemory
// Project Name: 
// Target Devices: 
// Tool Versions: 
// Description: 
// 
// Dependencies: 
// 
// Revision:
// Revision 0.01 - File Created
// Additional Comments:
// 
//////////////////////////////////////////////////////////////////////////////////
`include "utils.v"

module dataMemory(
        input               clk,
        input       [31:0]  addr,
        input       [31:0]  wd,
        input               memwr,
        output  reg [31:0]  rd
    );
    
    reg [31:0]  data[0:4096];
    integer i;
    
    initial begin
        for (i = 0; i < 4096; i = i+1) begin
            data[i] = 32'b0;
        end
        data[0] = 32'D8;
    end
    
    always @(*) begin // read
        rd = data[addr[13:2]];
    end
    
    always @(posedge clk) begin // write
        if (memwr == `Enable) begin
            data[addr[13:2]] = wd;
        end
    end
    
endmodule
