`timescale 1ns / 1ps
//////////////////////////////////////////////////////////////////////////////////
// Company: 
// Engineer: 
// 
// Create Date: 2022/04/09 22:15:06
// Design Name: 
// Module Name: immediateCon
// Project Name: 
// Target Devices: 
// Tool Versions: 
// Description: 
// 
// Dependencies: 
// 
// Revision:
// Revision 0.01 - File Created
// Additional Comments:
// 
//////////////////////////////////////////////////////////////////////////////////
`include "utils.v"

module immediateCon(
        input       [2:0]   immCtr,
        input       [31:0]  instr,
        output  reg [31:0]  immediate
    );
    
    always @(*) begin
        case(immCtr)
            `immctr_I: immediate = {{20{instr[31]}}, instr[31:20]};
            `immctr_S: immediate = {{20{instr[31]}}, instr[31:25], instr[11:7]};
            `immctr_B: immediate = {{20{instr[31]}}, instr[7], instr[30:25], instr[11:8], 1'b0};
            `immctr_U: immediate = {instr[31:12], 12'b0};
            `immctr_J: immediate = {{12{instr[31]}}, instr[19:12], instr[20], instr[30:21], 1'b0};
        endcase
    end
endmodule
