int qpow(int base,int exp,int mod);

int main(){
    const int MOD=4817;
    int n,j=1<<28;
    __asm__ __volatile__(
        "lw %[lval], %[offset], %[base]"
        :[lval]"=r"(n)
        :[offset]"i"(0), [base]"r"(j)
    );
    int inv;
    for(int i=1,j;i<=n;i++){
        j=(i*4)|(1<<28);
        inv=qpow(i,MOD-2,MOD);
        __asm__ __volatile__(
            "sw %[sval], %[offset], %[base]"
            :
            :[sval]"r"(inv), [offset]"i"(0), [base]"r"(j)
        );
    }
    return 0;
}

int qpow(int base,int exp,int mod){
    int res=1;
    while(exp>0){
        if(exp&1){
            res=res*base%mod;
        }
        exp>>=1;
        base=base*base%mod;
    }
    return res;
}